diff --git a/source/NVDAObjects/IAccessible/__init__.py b/source/NVDAObjects/IAccessible/__init__.py
index de5d3f1..844d42d 100644
--- a/source/NVDAObjects/IAccessible/__init__.py
+++ b/source/NVDAObjects/IAccessible/__init__.py
@@ -1424,6 +1424,18 @@ the NVDAObject for IAccessible
 				ret = "exception: %s" % e
 			info.append("IAccessible2 attributes: %s" % ret)
 		return info
+	
+	def script_checkbox(self, gesture):
+		gesture.send()
+		fo=api.getFocusObject()
+		api.setNavigatorObject(fo)
+		nav=api.getNavigatorObject()
+		if nav.windowClassName=="REListBox20W" and nav.role==controlTypes.ROLE_CHECKBOX:
+			speech.speakObject(nav, reason=controlTypes.REASON_FOCUS)
+
+	__gestures={
+		"kb:space":"checkbox",
+	}
 
 class ContentGenericClient(IAccessible):
 
